﻿# cette fonction remplit des listes avec le contenu des colonnes d'un fichier csv
# attention le csv ne doit comporter que des colonnes de chiffres
# elle est publiée sous licence MIT
# Copyright © <2020 Jean-Louis Gaudibert>

import matplotlib.pyplot as plt
import numpy as np
import csv

# tableaux qui vont recevoir les valeurs des colonnes du fichier csv
mesure = []
valeursSondeA = []
valeursSondeB = []
valeursSondeC = []
valeursSondeD = []


def csvtolist(fname,nbsondes):
    #Tableau sera une liste de listes [[mesure1, valeur1 de la sonde A,V1 de la sonde B...], [mesure2, valeur2 de la sonde A,V2 de la sonde B...] ,... , [mesure n, valeurn de la sonde A,Vn de la sonde B...]]
    Tableau = []
    #ouverture et lecture du fichier csv
    f = open(fname)
    csv_f = csv.reader(f, delimiter = ';')

    # row = ligne ==> ça met le contenu de chaque ligne dans le tableau sous forme de liste de listes
    for row in csv_f:
        Tableau.append(row)
    f.close

    #on parcourt le tableau précédent et on remplit les tableaux de valeur avec les valeurs de chaque colonne
    n = len(Tableau)

    for i in range(n-1):
     mesure.append(float (Tableau[i][0]))

    if nbsondes==4:
        for i in range(n-1):
            valeursSondeA.append(float (Tableau[i][1]))
            valeursSondeB.append(float (Tableau[i][2]))
            valeursSondeC.append(float (Tableau[i][3]))
            valeursSondeD.append(float (Tableau[i][4]))
        return (mesure, valeursSondeA, valeursSondeB, valeursSondeC, valeursSondeD)

    if nbsondes==3:
        for i in range(n-1):
            valeursSondeA.append(float (Tableau[i][1]))
            valeursSondeB.append(float (Tableau[i][2]))
            valeursSondeC.append(float (Tableau[i][3]))
        return (mesure, valeursSondeA, valeursSondeB, valeursSondeC)

    if nbsondes==2:
        for i in range(n-1):
            valeursSondeA.append(float (Tableau[i][1]))
            valeursSondeB.append(float (Tableau[i][2]))
        return (mesure, valeursSondeA, valeursSondeB)

    if nbsondes==1:
        for i in range(n-1):
            valeursSondeA.append(float (Tableau[i][1]))
            valeursSondeB.append(float (Tableau[i][2]))
        return (mesure, valeursSondeA)

